> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superlink.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Parent domain search

> Returns a list of available parent-domains provided the preferred parent ddomain



## OpenAPI

````yaml GET /v1/parentdomains/{parentDomain}/search
openapi: 3.0.1
info:
  title: Superlink
  description: API for Superlink
  termsOfService: https://assets.superlink.me/tos-v2.html
  contact:
    name: API Support
    url: https://superlink.me/about#contact-us
    email: support@superlink.me
  license:
    name: MIT
  version: 67ce35d94e3c397766edd997341ed79b7283e2f3
servers:
  - url: https://api.superlink.me/
security: []
paths:
  /v1/parentdomains/{parentDomain}/search:
    get:
      tags:
        - subdomain
      summary: >-
        Returns a list of available parent-domains provided the preferred parent
        ddomain
      description: >-
        Returns a list of available parent-domains provided the preferred parent
        ddomain
      operationId: parentdomain-search
      parameters:
        - name: parentDomain
          in: path
          description: superlink.me
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ParentDomainSearchResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.BadRequestResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.InternalServerErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    api.ParentDomainSearchResponse:
      type: object
      properties:
        availableParentDomain:
          type: array
          items:
            type: string
    api.BadRequestResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/api.ErrorResponse'
    api.InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          example: Internal server error
    api.ErrorResponse:
      type: object
      properties:
        field:
          type: string
          example: field
        info:
          type: string
          example: error message
  securitySchemes:
    BearerAuth:
      type: apiKey
      description: Type "Bearer" followed by a space and the JWT token.
      name: Authorization
      in: header

````